@echo off

REM ****      ZHCP Installation Utility, Version 1.00       ****
REM 
REM **** This program will install the configuration        ****
REM **** software for programming the Model 1550 SentriMax. ****

cls
echo Zetron Hardware Configuration Program Install/Update Utility
echo.

REM **** Verify all installation files are present ****

if not exist zhcp.co_ goto FILESMISSING
if not exist zhcp.ex_ goto FILESMISSING
if not exist zhcp.hl_ goto FILESMISSING
if not exist readme.txt goto FILESMISSING


REM **** Check for valid DOS path ****

if "%1"=="" goto EPATH
if "%1"=="c:" goto EPATH
if "%1"=="d:" goto EPATH
if "%1"=="C:" goto EPATH
if "%1"=="D:" goto EPATH
if "%1"=="/?" goto EPATH
if not exist %1\..\nul goto EPATH

REM **** Check for existing version of ZHCP ****
REM **** and ask to update if one exists    ****

for %%f in (%1\zhcp.*) do goto UPDATE > NUL

if not exist %1 mkdir %1

echo.
echo Installing ZHCP to directory %1
echo.
goto INSTALL

:UPDATE
echo.
echo.
echo There is a version of ZHCP already installed in %1
echo.
choice /C:YN /T:N,30 Do you want to replace the existing version 
if errorlevel 2 goto ABORT
if errorlevel 1 goto REPLACE
if errorlevel 0 goto UPDATE
goto END

:REPLACE
REM **** Delete older versions ****
echo.
echo Updating Program Files
echo.
for %%f in (%1\zhcp.*) do del %%f

:INSTALL
copy /v zhcp.co_ %1\zhcp.com > NUL
copy /v zhcp.ex_ %1\zhcp.exe > NUL
copy /v zhcp.hl_ %1\zhcp.hlp > NUL
copy /v readme.txt %1\readme.txt > NUL

if not exist %1\zhcp.com goto ERROR
if not exist %1\zhcp.exe goto ERROR
if not exist %1\zhcp.hlp goto ERROR
if not exist %1\readme.txt goto ERROR
goto SUCCESS

:ABORT
echo.
echo INSTALLATION ABORTED!
echo.
echo.
goto END

:EPATH
echo To install the Zetron Hardware Configuration Program,
echo please enter a complete path name (not just the drive) of 
echo the target directory in which you want to install ZHCP.
echo.
echo    For example:    INSTALL C:\SMAX
echo.
echo Please make sure that the path name specified is in the form
echo.
echo    [Drive]:\[directory]
echo.
echo The install program will create a program directory and install
echo the program files to that directory.
echo.
echo This system should not be installed in a root directory!
echo.
echo.
goto END

:ERROR
echo.
echo.
echo There was a problem with the installation.  Please try again.
echo.
echo Please make sure that the path name specified is in the form
echo.
echo    [Drive]:\[directory]
echo.
echo. 
goto END

:SUCCESS
echo.
echo Installation successful
echo.
echo.
goto END

:FILESMISSING
echo.
echo Could not find one or more installation disk files.
echo INSTALL.BAT must be run from the floppy disk.
echo See README.TXT for install disk contents.
goto ABORT

:END

